Ipelib

Public Member Functions | List of all members
ipe::FileSource Class Reference
Ipe Base

`#include <ipebase.h>`

Inherits ipe::DataSource.

## Public Member Functions
| FileSource (std::FILE *file)
virtual int | getChar () override
virtual int | length () const override
virtual void | setPosition (int pos) override
virtual int | position () const override
Public Member Functions inherited from ipe::DataSource
virtual | ~DataSource ()=0
virtual int | getChar ()=0
virtual int | length () const
virtual void | setPosition (int pos)
virtual int | position () const

## Detailed Description

Data source for parsing from a file.

## Constructor & Destructor Documentation

## ◆ FileSource()

FileSource::FileSource | ( | std::FILE * | file | ) |

## Member Function Documentation

## ◆ getChar()

int FileSource::getChar | ( |  | ) |
| override virtual

Get one more character, or EOF.

Implements ipe::DataSource.

## ◆ length()

int FileSource::length | ( |  | ) | const
| override virtual

Return length of input stream in characters.

Returns -1 if the stream is not seekable. Calling this function will invalidate the current position.

Reimplemented from ipe::DataSource.

## ◆ setPosition()

void FileSource::setPosition | ( | int | pos | ) |
| override virtual

Set position in stream.

Does nothing if the stream is not seekable.

Reimplemented from ipe::DataSource.

## ◆ position()

int FileSource::position | ( |  | ) | const
| override virtual

Return position in stream.

Returns -1 if the stream is not seekable.

Reimplemented from ipe::DataSource.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp